Skip to main content
PATCH
Update or swap a subscription

Headers

x-store-id
string
required

Path Parameters

id
string
required

Body

application/json
action
enum<string>
required

cancel (at period end), cancel_immediately (terminate now and set current_period_end to now), resume (undo pending cancel), or swap (change plan/variant with proration).

Available options:
cancel,
cancel_immediately,
resume,
swap
variant_id
string

Target variant UUID when action is swap.

product_id
string

Target product UUID when action is swap (optional if variant_id is provided).

Response

Subscription updated successfully

data
object